<div class="columns">
  <div class="column">
    <div class="pagination-dgl is-centered is-small" role="navigation" aria-label="pagination" *ngIf="length > 0">
      <!-- Previous button -->
      <button class="button previous" i18n-aria-label="@@research.pagination.previous" aria-label="Previous page"
      *ngIf="pageIndex === 1 || loading; else activePreviousLink" disabled>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
        </svg>
      </button>
      <ng-template #activePreviousLink>
        <button class="button previous" i18n-aria-label="@@research.pagination.previous" aria-label="Previous page"
          (click)="onPrev()">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
          </svg>
        </button>
      </ng-template>

      <!-- List of pages number -->
      <ul>
        <ng-container *ngFor="let pageNum of getPages(); let i = index">
          <li>
            <a *ngIf="!loading; else pageNumberDisabled"
                [attr.aria-label]="pageNum"
                (click)="onPage(pageNum);" class="button"
                href="{{ currentUrl }}?page={{ pageNum }}"
                [ngClass]="{'is-current': pageNum === pageIndex}"
                [attr.aria-current]="pageNum === pageIndex ? 'page' : undefined">{{ pageNum }}</a>

            <ng-template #pageNumberDisabled>
              <button class="button" [ngClass]="{'is-current': pageNum === pageIndex}"
                      [attr.aria-current]="pageNum === pageIndex ? 'page' : undefined" disabled>{{ pageNum }}</button>
            </ng-template>
          </li>
        </ng-container>
      </ul>

      <!-- Next button -->
      <button class="button" *ngIf="lastPage() || loading; else activeNextLink"
      i18n-aria-label="@@research.pagination.next" aria-label="Next page" disabled>
        <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
          <path
            d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
            class="brandcolor" />
        </svg>
      </button>
      <ng-template #activeNextLink>
        <button class="button next" (click)="onNext()" i18n-aria-label="@@research.pagination.next"
          aria-label="Next page">
          <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 15 9">
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
            <path
              d="M7.5 7.5c-.1 0-.3-.1-.4-.1l-6-6C1 1.1 1 .8 1.1.6s.5-.2.7 0l5.6 5.6L13 .6c.2-.2.5-.2.7 0s.2.5 0 .7l-6 6c.1.1-.1.2-.2.2z"
              class="brandcolor" />
          </svg>
        </button>
      </ng-template>
    </div>
  </div>
</div>
